// -*- c++ -*-

#ifndef __pqSuperquadricTensorGlyphPanel_h
#define __pqSuperquadricTensorGlyphPanel_h

// Qt Includes.
#include <QCheckBox>
#include <QComboBox>
#include <QLabel>
#include <QWidget>
#include <QtDebug>

// ParaView Includes.
#include <pqAutoGeneratedObjectPanel.h>
#include <pqComboBoxDomain.h>
#include <vtkPVConfig.h>


/// Custom panel for SuperquadricTensorGlyph filter.
/// This panel is only provided to add capabilities to hide/gray out
/// GUI elements in case they do not apply and to link the checkbox
/// FixedThetaPhiRoundness to GammaRoundness/ThetaRoundness/PhiRoundness.
class pqSuperquadricTensorGlyphPanel : public pqAutoGeneratedObjectPanel
{
  Q_OBJECT;
  typedef pqAutoGeneratedObjectPanel Superclass;

public:
  pqSuperquadricTensorGlyphPanel(pqProxy *proxy, QWidget *p);

private:

protected:
  QCheckBox *FixedThetaPhiRoundnessWidget;
  QCheckBox *ColorGlyphsWidget;
  QCheckBox *LimitScalingByEigenvaluesWidget;

  QWidget* GammaRoundnessWidget;
  QLabel*  GammaRoundnessLabel;
  QWidget* PhiRoundnessWidget;
  QLabel*  PhiRoundnessLabel;
  QWidget* ThetaRoundnessWidget;
  QLabel*  ThetaRoundnessLabel;
  QWidget* InputScalarsWidget;
  QWidget* ColorModeWidget;
  QLabel*  ColorModeLabel;
  QWidget* MaxScaleFactorWidget;
  QLabel*  MaxScaleFactorLabel;

protected slots:

};

#endif //__pqSuperquadricTensorGlyphPanel_h
